DOM::CSSMediaRule Class Reference

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSMediaRule:

## Public Member Functions

| CSSMediaRule (const CSSMediaRule &other)
| CSSMediaRule (const CSSRule &other)
| CSSMediaRule (CSSMediaRuleImpl *impl)
CSSMediaRule & | operator= (const CSSMediaRule &other)
CSSMediaRule & | operator= (const CSSRule &other)
MediaList | media () const
CSSRuleList | cssRules () const
unsigned long | insertRule (const DOM::DOMString &rule, unsigned long index)
void | deleteRule (unsigned long index)
Public Member Functions inherited from DOM::CSSRule
| CSSRule (const CSSRule &other)
| CSSRule (CSSRuleImpl *impl)
CSSRule & | operator= (const CSSRule &other)
unsigned short | type () const
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
CSSStyleSheet | parentStyleSheet () const
CSSRule | parentRule () const
CSSRuleImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSRule
enum | RuleType { UNKNOWN_RULE = 0, STYLE_RULE = 1, CHARSET_RULE = 2, IMPORT_RULE = 3, MEDIA_RULE = 4, FONT_FACE_RULE = 5, PAGE_RULE = 6, QUIRKS_RULE = 100 }
Protected Member Functions inherited from DOM::CSSRule
void | assignOther (const CSSRule &other, RuleType thisType)
Protected Attributes inherited from DOM::CSSRule
CSSRuleImpl * | impl

## Detailed Description

The `CSSMediaRule` interface represents a @media rule in a CSS style sheet.

A `@media` rule can be used to delimit style rules for specific media types.

Definition at line 270 of file css_rule.h.

## Member Function Documentation

CSSRuleList CSSMediaRule::cssRules | ( |  | ) | const

A list of all CSS rules contained within the media block.

Definition at line 301 of file css_rule.cpp.

void CSSMediaRule::deleteRule | ( | unsigned long | index | ) |

Used to delete a rule from the media block.

Parameters

  index | The index within the media block's rule collection of the rule to remove.

Returns

Exceptions

  DOMException | INDEX_SIZE_ERR: Raised if the specified index does not correspond to a rule in the media rule list.

NO_MODIFICATION_ALLOWED_ERR: Raised if this media rule is readonly.

Definition at line 313 of file css_rule.cpp.

unsigned long CSSMediaRule::insertRule | ( | const DOM::DOMString & | rule,
|  | unsigned long | index
| ) |  |

Used to insert a new rule into the media block.

Parameters

  rule | The parsable text representing the rule. For rule sets this contains both the selector and the style declaration. For at-rules, this specifies both the at-identifier and the rule content.
  index | The index within the media block's rule collection of the rule before which to insert the specified rule. If the specified index is equal to the length of the media blocks's rule collection, the rule will be added to the end of the media block.

Returns
  The index within the media block's rule collection of the newly inserted rule.

Exceptions

  DOMException | HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted at the specified index. e.g. if an `@import` rule is inserted after a standard rule set or other at-rule.

INDEX_SIZE_ERR: Raised if the specified index is not a valid insertion point.

NO_MODIFICATION_ALLOWED_ERR: Raised if this media rule is readonly.

Exceptions

  CSSException | SYNTAX_ERR: Raised if the specified rule has a syntax error and is unparsable.

Definition at line 307 of file css_rule.cpp.

MediaList CSSMediaRule::media | ( |  | ) | const

A list of media types for this rule.

Definition at line 295 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys